#!/usr/bin/perl

use v5.35;

use strict;
use warnings;

use feature 'signatures';

event( 'gpw', 2022 );
event( 'gpw', 2022, 1999 .. 2021 );

sub event ( $name, $year, @more_years ) {
    say sprintf "Welcome to %s %s", $name, $year;

    say "Past years: @more_years" if @more_years
}

