#!/usr/bin/perl

use v5.35;

use strict;
use warnings;

use feature 'signatures';

event( 'gpw' );

sub event ( $name, $year = do { current_year() } ) {
    say sprintf "Welcome to %s %s", $name, $year;
}

sub current_year () {
    (localtime)[5] + 1900;
}

