#!/usr/bin/perl

use Mojo::UserAgent;

my $year = 2023;
my $ua       = Mojo::UserAgent->new;
my $base_url = 'https://act.yapc.eu/gpw' . $year;

my $tx = $ua->get( $base_url . '/talks' );
warn $tx->res->code;
$talks = $tx->res->dom->find('a[href^="/gpw' . $year . '/talk/"]>b')->map( sub {
    $_->text
});

use Data::Printer;
p $talks;
