#!/usr/bin/perl

use v5.24;

use Test2::Bundle::More;
use Test::BDD::Cucumber::StepFile;

use Playwright;

Given qr/a (\w+) browser exists/ => sub {
    S->{object}->{playwright} = Playwright->new;
    S->{object}->{browser} = S->{object}->{playwright}->launch( headless => 1, type => $1 );
};

When qr/I've opened (.*?)/ => sub {
    S->{object}->{page} = S->{object}->{browser}->goto( $1 );
};

When qr/I've filled the field (named|with id) "(.*?)" with "(.*?)"/ => sub {
    S->{object}->{page}->fill();
};

When qr/I've clicked the (button|link) with id "(.*?)"/ => sub {
    S->{object}->{page}->click();
};

Then qr// => sub {
};
