#!/usr/bin/perl

use v5.24;

use Test::More;
use Test::Mojo;
use Mojo::File qw(curfile);

my $t = Test::Mojo->new(curfile->sibling('miniapp.pl'));
$t->get_ok('/')
  ->status_is(200)
  ->text_is('h1' => 'Test');

done_testing;
