# About me
  
* Renée Bäcker
  * Owner of <a href="https://perl-services.de">Perl-Services.de</a> (<a href="https://metacpan.org/author/PERLSRVDE">PERLSRVDE @ cpan</a>)
  * <a href="https://perl-academy.de">Perl-Academy.de</a>
  * <a href="https://metacpan.org/author/RENEEB">RENEEB @ cpan</a>
  * Interests: Perl, IT-Security

------

# OWASP

- <a href="https://owasp.org">Open Web Application Security Project</a>
- is a non-profit foundation
- provides tools, trainings, other information
- local chapters
  - active meetup groups: München, Frankfurt, Hamburg, Stuttgart, Köln, Hannover, Karlsruhe, Dresden, Ruhrpott, Heilbronn-Franken

------

# OWASP Top Ten

- ~ every 4 years a <a href="https://owasp.org/Top10/">list of the top security risks</a> is published
- latest edition: autumn 2021
- a good list what to look for in your own code
- more infos: see <a href="">my talk from last year</a>

------

# Closer look at some issues

* <a href="https://owasp.org/Top10/A08_2021-Software_and_Data_Integrity_Failures/">Software and Data Integrity Failures</a>
* <a href="https://owasp.org/Top10/A07_2021-Identification_and_Authentication_Failures/">Identification and Authentication Failures</a>
* <a href="https://owasp.org/Top10/A06_2021-Vulnerable_and_Outdated_Components/">Vulnerable and Outdated Components</a>

------

# Software and Data Integrity Failures

* Inclusion of Functionality from Untrusted Control Sphere
* Part of this is the supply chain

---

# Supply Chain "CPAN"

* CPAN has about xx distributions
* Libraries for (nearly) all problems
* You know the dependency hell?

---

